<div data-parameter={{@title}} ...attributes>
  <h6 class="ms-1 mb-0 fw-bold text-info">{{@title}}</h6>
  <Editor::Properties::OptionContainer @label={{t "option-panel.use-value-from"}} as |id|>
    <Input::Select class="input-parameter-source form-select select-parameter-source" id={{id}} @list={{this.parameterSources}} @value={{this.parameterSource}} @onChange={{this.changeParameterSource}} />
  </Editor::Properties::OptionContainer>

  {{#if (eq this.parameterSource "state")}}
    <Editor::Properties::OptionContainer @label={{t "option-panel.default-value"}} as |id|>
      <Input::Text @value={{this.textValue}} @onChange={{this.changeTextValue}} class="model-default-state-value form-control" id={{id}} />
    </Editor::Properties::OptionContainer>
  {{/if}}

  {{#if (eq this.parameterSource "fixed")}}
    <Editor::Properties::OptionContainer @label={{t "option-panel.use-fixed-value"}} as |id|>
      {{#if (eq this.type "RecordId")}}
        <Input::RecordId id={{id}} class="model-parameter-record-id form-control" @team={{@team}} @model={{this.parameterModel}} @value={{this.textValue}} @onChange={{this.changeTextValue}} />
      {{/if}}

      {{#if (eq this.type "IdList")}}
        <Input::IdList class="model-group-id-list model-group" @team={{@team}} @model={{this.parameterModel}} @value={{this.idList}} @onChange={{this.changeIdList}} id={{id}} />
      {{/if}}

      {{#if (eq this.type "text")}}
        <Input::Text @value={{this.textValue}} @onChange={{this.changeTextValue}} class="model-text form-control" id={{id}} />
      {{/if}}

      {{#if (eq this.type "number")}}
        <Input::Text @type="number" @value={{this.textValue}} @onChange={{this.changeTextValue}} class="model-text form-control" id={{id}} />
      {{/if}}

      {{#if (eq this.type "options")}}
        <Input::Select class="model-options form-select" id="{{this.elementId}}-options" @list={{this.optionList}} @value={{this.textValue}} @onChange={{this.changeTextValue}} />
      {{/if}}
    </Editor::Properties::OptionContainer>
  {{/if}}
</div>